﻿@model LoyaltyPointEngine.Model.Parameter.ConvertPoint.StoreParamModel
@{

}

<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Edit Store</h3>
    </div>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<!--=== Page Content ===-->
<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>Edit Store</h4>
            </div>
            <div class="widget-content">
                <div class="tabbable box-tabs">
                    <ul class="nav nav-tabs">
                        <li class=""><a href="#box_tab2" data-toggle="tab">Rule</a></li>
                        <li class="active"> <a href="#box_tab1" data-toggle="tab">Store</a></li>
                    </ul>
                    <div class="tab-content">
                        <div class="tab-pane active" id="box_tab1">
                            @using (Html.BeginForm(MVC.ConvertPointStore.Edit(), FormMethod.Post, new { @class = "form-horizontal row-border", @id = "formEditStore" }))
                            {
                                @Html.AntiForgeryToken()

                                if (!Html.ViewData.ModelState.IsValid)
                                {
                                    <div class="alert alert-danger">
                                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                        <i class="fa fa-times-circle"></i>
                                        Error occured:
                                        <br />
                                        @Html.ValidationSummary()
                                    </div>
                                }

                                @Html.HiddenFor(x => x.ID)
                                <div class="form-group product-hide">
                                    <label class="col-md-3 control-label">Store Name <span class="required">*</span></label>
                                    <div class="col-md-9">
                                        @Html.TextBoxFor(x => x.Name, new { @class = "form-control required" })
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-3 control-label">IsDeleted <span class="required">*</span></label>
                                    <div class="col-md-9">
                                        @Html.CheckBoxFor(x => x.IsDeleted, new { @class = "form-control uniform" })
                                    </div>
                                </div>
                                <div class="form-actions">
                                    <button type="submit" value="submit" class="btn btn-primary pull-right">Submit</button>
                                </div>
                            }
                        </div>
                        <div class="tab-pane" id="box_tab2">
                            <div id="formRuleWrapper">
                                @Html.Action(MVC.ConvertPointStore.AddRule(Model.ID.Value))
                            </div>
                            <br />
                            <hr />
                            <div id="ruleGridWrapper">
                                @Html.Action(MVC.ConvertPointStore.GridGetAllStoreRule(Model.ID.Value))
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- /Validation Example 1 -->
    </div>
</div>

@Html.Partial(MVC.Widget.Views.FileManager)

@section FooterScript{
    <script src="@Links.Scripts.jquery_unobtrusive_ajax_min_js" type="text/javascript"></script>
    @*<script src="@Links.Scripts.jquery_validate_min_js" type="text/javascript"></script>
        <script src="@Links.Scripts.jquery_validate_unobtrusive_min_js" type="text/javascript"></script>*@

    <script>

        $(document).ready(function () {
            //===== Validation =====//
            //for default options, see assets/js/plugins.form-components.js (initValidation())

            $.extend($.validator.defaults, {
                invalidHandler: function (form, validator) {
                    var errors = validator.numberOfInvalids();
                    if (errors) {
                        var message = errors == 1
                        ? 'You missed 1 field. It has been highlighted.'
                        : 'You missed ' + errors + ' fields. They have been highlighted.';
                        noty({
                            text: message,
                            type: 'error',
                            timeout: 2000
                        });
                    }
                },
                errorPlacement: function (error, element) {
                    if (element.attr('type') === "file" && element.data('style') === "fileinput") {
                        error.appendTo(element.closest("div.fileinput-holder").parent('div'));
                    } else {
                        error.insertAfter(element)
                    }
                }
            });

            $("#formEditStore").validate();

            $('#BtnIconImageUrl').OpenFileManager('IconImageUrl', 'image');
            $('#BtnLogoImageUrl').OpenFileManager('LogoImageUrl', 'image');
        });

        function On_AddRuleComplete() {
            if ($('#formRuleWrapper .validation-summary-errors').length == 0)
                ReloadRulesGrid();
        }

        function ReloadRulesGrid() {
            $.ajax({
                url: '@Url.Action(MVC.ConvertPointStore.GridGetAllStoreRule(Model.ID.Value))',
                type: 'get',
                complete: function (xhr) {
                    $('#ruleGridWrapper').html(xhr.responseText)
                }
            })
        }

        function DeleteRule(url) {
            if (confirm('Are you sure want to remove this rule item?')) {
                $.ajax({
                    url: url,
                    type: 'get',
                    complete: function (xhr) {
                        if (xhr.responseJSON) {
                            if (xhr.responseJSON.Success) {
                                ReloadRulesGrid();
                            }
                        }
                    }
                })
            }
        }
    </script>
}